<div class="input-container-options" ...attributes>
  <Input::Options::Frame class="input-container-style" @title={{capitalize (t "style")}}>
    <Editor::Properties::OptionContainer @label={{t "option-panel.width"}} as |id|>
      <Input::Select id={{id}} class="width-select" @list={{this.availableWidths}} @value={{this.width}} @onChange={{this.widthChange}} />
    </Editor::Properties::OptionContainer>

    <Editor::Properties::OptionContainer @label={{t "option-panel.height"}} as |id|>
      <Input::Select id={{id}} class="height-select" @list={{this.availableHeights}} @value={{this.height}} @onChange={{this.heightChange}} />
    </Editor::Properties::OptionContainer>

    <Editor::Properties::ResponsiveValue @label={{t "paddings"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
      <Input::Options::Paddings @type={{size}} @deviceSize={{size}} @options={{this.options}} @onChangeOptions={{this.onChangeOptions}} />
    </Editor::Properties::ResponsiveValue>

    <Editor::Properties::ResponsiveValue @label={{t "min height"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
      <Editor::Properties::MinVerticalHeight @size={{size}} @options={{this.options}} @onChange={{this.onChangeOptions}} />
    </Editor::Properties::ResponsiveValue>

    <Editor::Properties::ResponsiveValue @label={{t "justify content"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
      <Editor::Properties::JustifyContent @size={{size}} @options={{this.options}} @onChange={{this.onChangeOptions}} />
    </Editor::Properties::ResponsiveValue>
  </Input::Options::Frame>

  <Input::Options::Frame class="input-container-layers" @title={{capitalize (t "layers")}}>
    <Input::Options::Panel @space={{@space}} @config={{this.layersConfig}} @value={{this.layers}} @onChange={{this.changeLayers}} />
  </Input::Options::Frame>

  <Input::Options::Frame class="input-container-background-options" @title={{capitalize (t "options")}}>
    <Editor::Properties::OptionContainer @label={{t (concat "option-panel.visibility")}} as |id|>
      <Input::Select id={{id}} class="visibility-select" @list={{this.availableVisibility}} @value={{this.visibility}} @onChange={{this.visibilityChange}} />
    </Editor::Properties::OptionContainer>

    <Editor::Properties::OptionContainer @label={{t (concat "option-panel.anchor")}} as |id|>
      <Input id={{id}} class="form-control text-anchor" @value={{this.anchor}} />
    </Editor::Properties::OptionContainer>
  </Input::Options::Frame>
</div>